net.corda.core.transactions

## Class FilteredTransaction.Companion

- net.corda.core.transactions.FilteredTransaction.Companion

- Enclosing class:
    FilteredTransaction

      public static class FilteredTransaction.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilteredTransaction` | `buildMerkleTransaction(WireTransaction wtx, kotlin.jvm.functions.Function1<java.lang.Object,java.lang.Boolean> filtering)` Construction of filtered transaction with Partial Merkle Tree.

- - ### Method Detail

    - #### buildMerkleTransaction

          public FilteredTransaction buildMerkleTransaction(WireTransaction wtx,
                                                            kotlin.jvm.functions.Function1<java.lang.Object,java.lang.Boolean> filtering)

      Construction of filtered transaction with Partial Merkle Tree.

      Parameters:
        `wtx` - WireTransaction to be filtered.
        `filtering` - filtering over the whole WireTransaction